#!/bin/sh
#
# $Date: 2007-05-08 19:11:49 +0200 (út, 08 V 2007) $
# $Author: pepca $
# $Rev: 450 $
#
# Updates all JaGrLib WWW data from SVN server:
# 1. svn export: complete source tree
# 2. copy 'list.cgi' and 'index.wn' into the source tree
# 3. unzip complete javadoc tree (from docs.zip)
# 4. copy 'index.cache' into the whole javadoc tree
# 5. run 'wndex' in all directories with 'index.wn' present
# 6. create JaGrLib.tgz installation archive
#
# Usage: update.sh

P=/home/www/JaGrLib
JAGRLIB="svn://cgg.ms.mff.cuni.cz/JaGrLib/trunk"

cd $P
date '+%d.%m.%y - %H:%M' >> www-update.err

echo =================
date '+%d.%m.%y - %H:%M'
echo -----------------
svn update

# 1. svn export: complete source tree
rm -rf cz
svn export --force -q $JAGRLIB/src/cz

# 2. copy 'list.cgi' and 'index.wn' into the source tree
for i in $( find cz -type d ); do
  cp -f list.cgi $i
  cp -f index-list.wn $i/index.wn
done

# 3. unzip complete javadoc tree (from docs.zip)
# 4. copy 'index.cache' into the whole javadoc tree
if [ -f docs.zip ]; then
  rm -rf docs
  unzip -o docs.zip > /dev/null
  for i in $( find docs -type d ); do
    cp -f index.all $i/index.cache
  done
fi

# 5. run 'wndex' in all directories with 'index.wn' present
for i in $( find . -name index.wn ); do
  cd `echo $i | sed s/index.wn//g`
  wndex > /dev/null
  cd $P
done

# 6. create JaGrLib.tgz
rm -rf JaGrLib*
svn export --force -q $JAGRLIB JaGrLib
tar --owner nobody --group nogroup -czf JaGrLib.tgz JaGrLib/
rm -rf JaGrLib
