package cz.cuni.jagrlib;

/**
 * Alpha-channel operations used in set*() drawing methods and alpha-engines. 12+1 mappings and 3
 * unary operators are coded by an integer.
 *
 * @version 0.25 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @since   0.06
 * @see     <a href="../../../../cz/cuni/jagrlib/AlphaOperation.java">AlphaOperation.java</a>
 * @see     cz.cuni.jagrlib.iface.AlphaMask interface AlphaMask
 * @see     cz.cuni.jagrlib.iface.RasterGraphics interface RasterGraphics
 */
public interface AlphaOperation
{
  /**
   * Zero.
   */
  int ALPHA_ZERO      =  0;

  /**
   * A (old).
   */
  int ALPHA_A         =  1;

  /**
   * B (new).
   */
  int ALPHA_B         =  2;

  /**
   * B (new) OVER A (old).
   */
  int ALPHA_B_OVER_A  =  3;

  /**
   * A (old) OVER B (new).
   */
  int ALPHA_A_OVER_B  =  4;

  /**
   * B (new) IN A (old).
   */
  int ALPHA_B_IN_A    =  5;

  /**
   * A (old) IN B (new).
   */
  int ALPHA_A_IN_B    =  6;

  /**
   * B (new) HELD-OUT-BY A (old).
   */
  int ALPHA_B_HOB_A   =  7;

  /**
   * A (old) HELD-OUT-BY B (new).
   */
  int ALPHA_A_HOB_B   =  8;

  /**
   * B (new) ATOP A (old).
   */
  int ALPHA_B_ATOP_A  =  9;

  /**
   * A (old) ATOP B (new).
   */
  int ALPHA_A_ATOP_B  = 10;

  /**
   * B (new) XOR A (old).
   */
  int ALPHA_B_XOR_A   = 11;

  /**
   * A (old) + B (new).
   */
  int ALPHA_PLUS      = 12;

  /**
   * darken(A (old), x).
   */
  int ALPHA_DARKEN    = 13;

  /**
   * fade(A (old), x).
   */
  int ALPHA_FADE      = 14;

  /**
   * opaque(A (old), x).
   */
  int ALPHA_OPAQUE    = 15;

}
