package cz.cuni.jagrlib;

import cz.cuni.jagrlib.iface.ProgressListener;

/**
 * Interface for breakable modules.
 * All long-lasting computations should implement this interface.
 *
 * @version 0.26 $Rev: 466 $ $Date: 2007-05-26 07:12:19 +0200 (so, 26 V 2007) $ $Author: pepca $
 * @see     <a href="../../../../cz/cuni/jagrlib/Breakable.java">Breakable.java</a>
 */
public interface Breakable
{
  /**
   * Tries to stop the thread/computation..
   * The process should yield itself.
   * For {@link Runnable} implementators: {@link Thread#interrupt} will be called afterwards.
   */
  void stop ();

  /**
   * Sets progress state listener.
   */
  void setProgressListener ( ProgressListener pl );

}
