package cz.cuni.jagrlib;

import cz.cuni.jagrlib.iface.*;

/**
 * Default implementation of {@link BrepIterator} interface.
 *
 * @version 0.25 $Rev: 401 $ $Date: 2007-03-11 13:15:07 +0100 (ne, 11 III 2007) $ $Author: pepca $
 * @see     <a href="../../../../cz/cuni/jagrlib/DefaultBrepIterator.java">DefaultBrepIterator.java</a>
 */
public abstract class DefaultBrepIterator extends DefaultProperty implements BrepIterator
{
  /** Reset the iterator. */
  public abstract void reset ();

  /**
   * Returns id of the next object.
   *
   * @return {@link Brep#NULL} if there is no next object available.
   */
  public abstract int next ();

  /**
   * Fills the provided array by all items (pre-allocated array could be {@code null}
   * or too small - in these cases new one will be created).
   * End of the data is marked using {@link Brep#NULL}.
   */
  public int[] toArray ( int[] pre )
  {
    return null;
  }

  /**
   * How many items remain in the set?.
   * Non-mandatory - must return {@link Brep#NULL} if not implemented.
   */
  public int left ()
  {
    return Brep.NULL;
  }
}
