package cz.cuni.jagrlib;

import cz.cuni.jagrlib.iface.*;

/**
 * Default implementation of {@link BrepIterator} interface - using simple ordinal value.
 *
 * @version 0.25 $Rev: 401 $ $Date: 2007-03-11 13:15:07 +0100 (ne, 11 III 2007) $ $Author: pepca $
 * @see     <a href="../../../../cz/cuni/jagrlib/DefaultBrepIteratorOrd.java">DefaultBrepIteratorOrd.java</a>
 */
public abstract class DefaultBrepIteratorOrd extends DefaultBrepIterator
{
  /** Next object's id. */
  protected int n;

  /** Reset the iterator. */
  @Override
  public void reset ()
  {
    n = 0;
  }

  /**
   * Fills the provided array by all items (pre-allocated array could be {@code null}
   * or too small - in these cases new one will be created).
   * End of the data is marked using {@link Brep#NULL}.
   */
  @Override
  public int[] toArray ( int[] pre )
  {
    reset();
    int size = left();
    if ( size < 0 && pre == null )
      return null;

    if ( size < 0 )
      size = pre.length;
    else
      if ( size > pre.length )
        pre = new int[ size ];

      // I'll fill 'size' items in the 'pre' array:
    int id, i;
    for ( i = 0; i < size && (id = next()) >= 0; i++ )
      pre[i] = id;

    if ( i < size )
      pre[i] = Brep.NULL;

    return pre;
  }

}
