package cz.cuni.jagrlib;

import cz.cuni.jagrlib.iface.BitMask;
import cz.cuni.jagrlib.iface.AlphaMask;

/**
 * Void {@link BitMask}-enumerator. Used in modules with no read capability.
 *
 * @version 0.25 $Rev: 383 $ $Date: 2007-01-04 01:02:18 +0100 (čt, 04 I 2007) $ $Author: pepca $
 * @see     <a href="../../../../cz/cuni/jagrlib/EmptyBitMaskEnumerator.java">EmptyBitMaskEnumerator.java</a>
 * @see     BitMask interface BitMask
 * @see     AlphaMask interface AlphaMask
 */
public class EmptyBitMaskEnumerator implements BitMaskEnumerator
{
  /**
   * (Re-)initialization of the enumerator.
   */
  public void reset ()
  {
  }

  /**
   * Returns the next {@link BitMask} ({@link AlphaMask}) pixel.
   *
   * @param  pre Pre-allocated {@link BitMaskEnumerator.Pixel} instance (non-mandatory).
   * @return The next opaque {@link BitMaskEnumerator.Pixel} or {@code null}.
   * @see    #nextHLine
   */
  public Pixel nextPixel ( Pixel pre )
  {
    return null;
  }

  /**
   * Returns the next {@link BitMask} ({@link AlphaMask}) H-line.
   *
   * @param  pre Pre-allocated {@link BitMaskEnumerator.HLine} instance (non-mandatory).
   * @return The next opaque {@link BitMaskEnumerator.HLine} or {@code null}.
   * @see    #nextPixel
   */
  public HLine nextHLine ( HLine pre )
  {
    return null;
  }

}
