package cz.cuni.jagrlib;

/**
 * Object can compute intersection-attributes.
 *
 * @version 0.26 $Rev: 460 $ $Date: 2007-05-21 17:21:31 +0200 (po, 21 V 2007) $ $Author: pepca $
 * @see     <a href="../../../../cz/cuni/jagrlib/IntersectionAttributes.java">IntersectionAttributes.java</a>
 * @see     MicroFacet
 */
public interface IntersectionAttributes
{
  /**
   * Asserts validity of the given intersection-attributes.
   *
   * @param  mf The checked intersection.
   * @param  tmp Non-mandatory object holding state-information for deferred computations.
   * @param  attributes Attribute mask (required attributes - see
   *                    {@code MicroFacet.VALID_*}).
   * @return Attributes which were not computed.
   */
  int assertAttributes ( MicroFacet mf, Object tmp, int attributes );
}
