package cz.cuni.jagrlib;

/**
 * Generic <b>JaGrLib</b> throwable exception:
 * unchecked exception (holding general {@link Throwable}).
 * Should be throwed by {@code throw new JaGrLibException( new Throwable(..) )}
 *
 * @version 0.25 $Rev: 385 $ $Date: 2007-01-07 01:47:21 +0100 (ne, 07 I 2007) $ $Author: pepca $
 * @since   0.01
 * @see     <a href="../../../../cz/cuni/jagrlib/JaGrLibException.java">JaGrLibException.java</a>
 */
public class JaGrLibException extends RuntimeException
{
  private static final long serialVersionUID = 1L;

  /**
   * Constructs an JaGrLibException with no detail message.
   */
  public JaGrLibException ( Throwable cause )
  {
    super( cause );
  }

  /**
   * Constructs an JaGrLibException with the specified
   * detail message and explicit "cause".
   * A detail message is a String that describes* this particular exception.
   *
   * @param  msg The detail message.
   * @param  cause Cause to be encapsulated into this exception.
   */
  public JaGrLibException ( String msg, Throwable cause )
  {
    super( msg, cause );
  }

  /**
   * Constructs an JaGrLibException with the specified
   * detail message.  A detail message is a String that describes
   * this particular exception.
   *
   * @param  msg The detail message.
   */
  public JaGrLibException ( String msg )
  {
    super( msg );
  }
}
