package cz.cuni.jagrlib;

import javax.swing.*;

import cz.cuni.jagrlib.gui.*;
import cz.cuni.jagrlib.gui.comp.*;

/**
 * Main class of Skel program (GUI for JaGrLib).
 *
 * @author  PE, Jan Kostlivy
 * @version 0.25 $Rev: 285 $ $Date: 2006-06-10 22:53:57 +0200 (so, 10 VI 2006) $ $Author: pepca $
 * @see     <a href="../../../../cz/cuni/jagrlib/Main.java">Main.java</a>
 */
public class Main
{
  /** File-name of composition to load. */
  public static String loadFileName = null;

  /** Parsing of command-line parameters - can be used externally. */
  public static void commandLineParams ( String[] args )
  {
    LogFile.debugging    = false;         // load LogFile class to set application start time correctly..
    String probeFileName = null;

      // command-line parsing:
    for ( int i = 0; i < args.length; i++ )
    {
      if ( args[i].equalsIgnoreCase( "-d" ) )
      {
        LogFile.debugging = true;
        continue;
      }
      if ( args[i].equalsIgnoreCase( "-p" ) )
      {
        if ( ++i < args.length )
        {
          probeFileName     = args[i];
          LogFile.debugging = true;
        }
        continue;
      }
        // otherwise this should be workspace file-name..
      loadFileName = args[i];
    }

    if ( LogFile.debugging )
      LogFile.readProbe( probeFileName );
  }

  /** Main SKEL routine. */
  public static void main ( String[] args )
  {
    commandLineParams( args );

      // Application startup:
    SwingUtilities.invokeLater( new Runnable ()
    {
      public void run ()
      {
        try
        {
          UIManager.setLookAndFeel( UIManager.getSystemLookAndFeelClassName() );
          MultiLineToolTipUI.initialize();
        }
        catch ( Exception e )
        {
          LogFile.exception( e );
        }

          // next command loads the MainWindow class &
          // performs mainWindow singleton setup:
        MainWindow.mainWindow.setVisible( true );;

          // auto-load composition:
        if ( loadFileName != null )
          MainWindow.mainWindow.miLoad_actionPerformed( null );
      }
    });
  }

}
