package cz.cuni.jagrlib;

/**
 * Data structure for Rank-operations (min, median, max, ..).
 *
 * @version 0.25 $Rev: 392 $ $Date: 2007-01-21 17:37:56 +0100 (ne, 21 I 2007) $ $Author: pepca $
 * @since   0.25
 * @see     <a href="../../../../../cz/cuni/jagrlib/Rank.java">Rank.java</a>
 */
public interface Rank
{
  /** Initializes the rank. */
  void init ( int maxValue );

  /** Adds new pixel value. */
  void add ( int value );

  /**
   * Computes the given rank-value (min, median, max, ..).
   * Can be destructive - should be called once after each {@link #init} call.
   */
  int result ( RankType type );
}
