package cz.cuni.jagrlib.gui;

import java.awt.*;

import cz.cuni.jagrlib.reg.*;

/**
 * Abstract class that cares about visual representation of channels.
 *
 * @author  Jan Kostlivy
 * @version 0.26 $Rev: 599 $ $Date: 2007-11-06 00:01:11 +0100 (út, 06 XI 2007) $ $Author: pepca $
 * @see     <a href="../../../../../cz/cuni/jagrlib/gui/ChannelGUI.java">ChannelGUI.java</a>
 */
abstract public class ChannelGUI
{
  //==========================================================================
  //  Data:

  /**  Information about channel.   */
  public InfoChannel info;

  //==========================================================================
  //  Methods:

  /** Registration of channel in plugs.  */
  abstract public void registryChannel ();

  /**
   * Tests, if point is on channel.
   *
   * @param  px x-axis.
   * @param  py y-axis.
   * @return {@code true} if point is on channel.
   */
  abstract public boolean contains ( int px, int py );

  /** Extends the given rectangle to hold the channel image. */
  abstract public void extend ( Rectangle r );

  /** Remove channel.*/
  abstract public void removeChannel ();

  /**
   * Paint bonus graphics on composition panel.
   *
   * @param  g Graphics.
   */
  abstract public void paintItem ( Graphics g );

}
