package cz.cuni.jagrlib.gui;

import java.awt.Color;
import javax.swing.JColorChooser;

import cz.cuni.jagrlib.Formula;

/**
 * Color edit dialog.
 *
 * @author  PE, Petr Stepan
 * @version 0.26 $Rev: 429 $ $Date: 2007-04-28 21:59:20 +0200 (so, 28 IV 2007) $ $Author: pepca $
 * @see     <a href="../../../../../cz/cuni/jagrlib/gui/ParamColor.java">ParamColor.java</a>
 */
public class ParamColor implements ParamGUI.ParamEdit
{
  //==========================================================================
  //  Data:

  protected Color c = Color.black;

  //==========================================================================
  //  Interface ParamGUI.ParamEdit:

  /**
   * Sets value of the parameter.
   *
   * @param val New value (internal representation).
   * @return Old value (internal representation).
   */
  public Object setValue ( Object val )
  {
    Color old = c;
    if ( val instanceof Color )
      c = (Color)val;
    else
      if ( val instanceof String )
        c = Formula.parseColor( (String)val );

    return old;
  }

  /**
   * Returns internal value of the parameter.
   */
  public Object getValue ()
  {
    return c;
  }

  /**
   * Returns String representation of parameter value.
   */
  public String getText ()
  {
    return Formula.colorToString( c );
  }

  /**
   * Invokes edit dialog for special parameter.
   *
   * @return String representation of the new parameter value.
   */
  public String edit ()
  {
    Color newColor = JColorChooser.showDialog( null, "Choose the color: ", c );
    if ( newColor != null ) c = newColor;
    return getText();
  }

}
