package cz.cuni.jagrlib.gui;

import javax.swing.JFileChooser;

import cz.cuni.jagrlib.*;
import cz.cuni.jagrlib.gui.comp.CommonFileFilter;

/**
 * JGL script file-name dialog box.
 *
 * @version 0.26 $Rev: 424 $ $Date: 2007-04-22 19:50:04 +0200 (ne, 22 IV 2007) $ $Author: pepca $
 * @see     <a href="../../../../../cz/cuni/jagrlib/gui/ParamJGLScript.java">ParamJGLScript.java</a>
 */
public class ParamJGLScript implements ParamGUI.ParamEdit
{
  //==========================================================================
  //  Data:

  /** JaGrLib script file-name. */
  protected String fileName = "data/scene1.jgl";

  /** JGL script chooser. */
  protected JFileChooser chooser = new JFileChooser( Options.pathData );

  /** File filter for JGL script chooser. */
  protected CommonFileFilter filter = new CommonFileFilter();
  {
    filter.addExtension(   "jgl" );
    filter.setDescription( "JGL script files" );
    chooser.setFileFilter( filter );
  }

  //==========================================================================
  //  Interface ParamGUI.ParamEdit:

  /**
   * Sets value of the parameter.
   *
   * @param val New value (internal representation).
   * @return Old value (internal representation).
   */
  public Object setValue ( Object val )
  {
    String old = fileName;

    if ( val instanceof String )
      fileName = (String)val;

    return old;
  }

  /**
   * Returns internal value of the parameter.
   */
  public Object getValue ()
  {
    return fileName;
  }

  /**
   * Returns String representation of parameter value.
   */
  public String getText ()
  {
    return fileName;
  }

  /**
   * Invokes edit dialog for special parameter.
   *
   * @return String representation of the new parameter value.
   */
  public String edit ()
  {
    int returnVal = chooser.showOpenDialog( MainWindow.mainWindow );
    if ( returnVal == JFileChooser.APPROVE_OPTION )
      fileName = Formula.relativePath( chooser.getSelectedFile().getPath() );

    return fileName;
  }
}
