package cz.cuni.jagrlib.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import cz.cuni.jagrlib.LogFile;

/**
 * Class that cares about visual representation of Special parameters.
 * It requires manipulator (ParamGUI.ParamEdit).
 *
 * @author  PE, Jan Kostlivy
 * @version 0.26 $Rev: 430 $ $Date: 2007-04-29 04:27:07 +0200 (ne, 29 IV 2007) $ $Author: pepca $
 * @since   0.24
 * @see     <a href="../../../../../cz/cuni/jagrlib/gui/ParamSpec.java">ParamSpec.java</a>
 */
public class ParamSpec extends ParamGUI
{
  private static final long serialVersionUID = 1L;

  //==========================================================================
  //  Data:

    // components
  private JTextField jTextFieldValue = new JTextField();
  private JButton    jButtonView     = new JButton();

  //==========================================================================
  //  Methods:

  /** Default constructor. */
  public ParamSpec ()
  {
    try
    {
      jbInit();
    }
    catch ( Exception e )
    {
      LogFile.exception( e );
    }
  }

  /**
   * Component initialization.
   */
  private void jbInit () throws Exception
  {
    jTextFieldValue.setEditable( false );
    if ( manipulator != null )
      jTextFieldValue.setText( manipulator.getText() );

    jButtonView.setMinimumSize(   new Dimension( 55, 5 ) );
    jButtonView.setPreferredSize( new Dimension( 55, 5 ) );
    jButtonView.setMaximumSize(   new Dimension( 70, 5 ) );
    jButtonView.setText( "Edit" );
    jButtonView.addActionListener( new ActionListener ()
    {
      public void actionPerformed ( ActionEvent e )
      {
        jButtonView_actionPerformed( e );
      }
    });
    getPanelValue().add( jTextFieldValue, BorderLayout.CENTER );
    getPanelValue().add( jButtonView,     BorderLayout.EAST );
  }

  //==========================================================================
  //  Events:

  /**
   * Show edit dialog for specials parameters.
   */
  void jButtonView_actionPerformed ( ActionEvent e )
  {
    if ( manipulator != null )
    {
      jTextFieldValue.setText( manipulator.edit() );
      info.value = getValue();
    }
  }

  //==========================================================================
  //  Methods ParamGUI:

  /**
   * Sets parameter value.
   *
   * @param _newValue New value.
   * @return Old value.
   */
  public Object setValue ( Object _newValue )
  {
    if ( info == null )
      return null;

    Object old = null;
    if ( manipulator != null )
    {
      old = manipulator.setValue( _newValue );
      jTextFieldValue.setText( manipulator.getText() );
    }
    return old;
  }

  /**
   * Gets parameter value.
   */
  public Object getValue ()
  {
    if ( manipulator != null )
    {
      info.value = manipulator.getValue();
    }
    return info.value;
  }

}
