package cz.cuni.jagrlib.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import cz.cuni.jagrlib.reg.*;
import cz.cuni.jagrlib.LogFile;

/**
 * Editing of multi-line String parameters.
 *
 * @version 0.26 $Rev: 430 $ $Date: 2007-04-29 04:27:07 +0200 (ne, 29 IV 2007) $ $Author: pepca $
 * @since   0.25
 * @see     <a href="../../../../../cz/cuni/jagrlib/gui/ParamText.java">ParamText.java</a>
 */
public class ParamText extends ParamGUI
{
  private static final long serialVersionUID = 1L;

  //==========================================================================
  //  Data:

  /** Multi-line text editing area. */
  protected JTextArea jTextArea;

  //==========================================================================
  //  Methods:

  public ParamText ()
  {
    jTextArea = new JTextArea();
    try
    {
      jbInit();
    }
    catch ( Exception e )
    {
      LogFile.exception( e );
    }
    jTextArea.setFont( new Font( "DialogInput", Font.PLAIN, 11 ) );
  }

  /**
   * Component initialization.
   */
  private void jbInit ()
  throws Exception
  {
    setValue( "" );
    jTextArea.addFocusListener( new FocusAdapter ()
    {
      public void focusLost ( FocusEvent e )
      {
        taFocusLost( e );
      }
    });
    JScrollPane scroll = new JScrollPane( jTextArea );
    getPanelValue().add( scroll, BorderLayout.CENTER );
  }

  //==========================================================================
  //  Methods ParamGUI:

  /**
   * Sets parameter value.
   *
   * @param _newValue New String value.
   * @return Old value.
   */
  public Object setValue ( Object _newValue )
  {
    if ( info == null )
      return null;

    Object old = info.value;
    String val;

    val = _newValue.toString();
    jTextArea.setText( val );

    return old;
  }

  /**
   * Returns parameter value.
   */
  public Object getValue ()
  {
    info.value = jTextArea.getText();
    return info.value;
  }

  /**
   * Returns visual parameter height in lines.
   */
  public int paramLines ()
  {
    return InfoParam.MULTILINE_HEIGHT;
  }

  //==========================================================================
  //  Events:

  /**
   * Event for lost focus.
   */
  protected void taFocusLost ( FocusEvent e )
  {
    info.value = jTextArea.getText();
  }

}
