package cz.cuni.jagrlib.gui;

import java.awt.*;
import javax.swing.*;

import cz.cuni.jagrlib.LogFile;

/**
 * Window for editing parameters.
 * @author  Jan Kostlivy
 * @version 0.24 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @see     <a href="../../../../../cz/cuni/jagrlib/gui/ParamsEdit.java">ParamsEdit.java</a>
 */
public class ParamsEdit extends JInternalFrame
{
  private static final long serialVersionUID = 1L;

  //==========================================================================
  //  Data:

    // components
  private JPanel panelMain = new JPanel();
  private JScrollPane jScrollPaneParams = new JScrollPane();

  //==========================================================================
  //  Methods:

  /**
   * Sets panel of paramters from module.
   * @param pan Panel of parameters.
   * @param d Dimension of window.
   */
  public void setPanelParams ( JPanel pan, Dimension d )
  {
    if ( !isVisible() )
      setSize(d.width, d.height);
    jScrollPaneParams.getViewport().add(pan, null);
  }

  /**
   * Creates new ParamsEdit.
   * @param title Nadpis framu.
   */
  public ParamsEdit ( String title )
  {
    super(title, true, true, true, true);
    try
    {
      jbInit();
      pack();
    }
    catch ( Exception ex )
    {
      LogFile.exception(ex);
    }
  }

  /** Default constructor. */
  public ParamsEdit ()
  {
    this("");
  }

  /**
   * Components initialization.
   * @throws Exception   
   */
  private void jbInit () throws Exception
  {
    setName("PARAMS");
    panelMain.setLayout(new BorderLayout());
    panelMain.setPreferredSize(new Dimension(220, 150));
    getContentPane().add(panelMain);
    panelMain.add(jScrollPaneParams, BorderLayout.CENTER);
  }
  
}
