package cz.cuni.jagrlib.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import cz.cuni.jagrlib.reg.*;
import cz.cuni.jagrlib.gui.comp.*;
import cz.cuni.jagrlib.LogFile;

/**
 * Basic class for zoom window.
 *
 * @version 0.25 $Rev: 330 $ $Date: 2006-10-26 01:35:47 +0200 (čt, 26 X 2006) $ $Author: pepca $
 * @since   0.24
 * @see     <a href="../../../../../cz/cuni/jagrlib/gui/ZoomBasic.java">ZoomBasic.java</a>
 */
public class ZoomBasic extends ZoomWindow
{
  private static final long serialVersionUID = 1L;

  /** Color of modules (state=0). */
  public static Color colorModule = InfoPlugGUI.colorConnect;

  /** Color of modules (state=2). */
  public static Color colorMandatory = InfoPlugGUI.colorMandatory;

  /** Color of modules (state=1). */
  public static Color colorNonMandatory = InfoPlugGUI.colorNonMandatory;

  // components
  private JPanel jPanelPomer = new JPanel();
  private JLabel jLabelPomer = new JLabel();
  private IntNumberField jTextFieldPomer = new IntNumberField( 10, 1 );

  /**
   * Repaint method.
   */
  public void paintItems ( Graphics g )
  {
    int _state;
    if ( composition != null )
    {
      Point p = ((JViewport)composition.getParent()).getViewPosition();
      g.drawRect( p.x / pomer,
                  p.y / pomer,
                  composition.getParent().getWidth() / pomer,
                  composition.getParent().getHeight() / pomer );
      Component[] s = composition.getComponents();
      for ( int i = 0; i < s.length; i++ )
      {
        if ( s[i] instanceof ModuleGUI )
        {
          _state = ((ModuleGUI)s[i]).info.getState();
          if ( (_state & InfoState.NOTCONNECTED_HARD) > 0 )
            g.setColor( colorMandatory );
          else
          if ( _state != InfoState.OK )
            g.setColor( colorNonMandatory );
          else
            g.setColor( colorModule );
          g.fillRect( s[i].getX() / pomer, s[i].getY() / pomer, 5, 5 );
        }
      }
    }
  }

  /** Component initialization. */
  private void jbInit () throws Exception
  {
    jLabelPomer.setText( "Scale: " );
    jTextFieldPomer.setText( "10" );
    jTextFieldPomer.addActionListener( new ActionListener ()
    {
      public void actionPerformed ( ActionEvent e )
      {
        jTextFieldPomer_actionPerformed( e );
      }
    } );
    jPanelPomer.setLayout( new BorderLayout() );
    jPanelPomer.add( jLabelPomer,     BorderLayout.WEST );
    jPanelPomer.add( jTextFieldPomer, BorderLayout.CENTER );
    contentPane.add( jPanelPomer,     BorderLayout.NORTH );
  }

  /** Default constructor. */
  public ZoomBasic ()
  {
    super( "Outline", true, true, true, true );
    try
    {
      jbInit();
    }
    catch ( Exception e )
    {
      LogFile.exception( e );
    }
  }

  //==========================================================================
  //  Events:

  /**
   * Changing zoom factor.
   */
  void jTextFieldPomer_actionPerformed ( ActionEvent e )
  {
    if ( jTextFieldPomer.getValue() > 0 )
      pomer = (int)jTextFieldPomer.getValue();
    else
    {
      pomer = 1;
      jTextFieldPomer.setValue( 1 );
    }
    repaintZoom();
  }

}
