package cz.cuni.jagrlib.iface;

import java.awt.*;

/**
 * AWT graphics producer. Repaints the canvas using Graphics or Graphics2D API.
 * @version 0.24 $Rev: 180 $ $Date: 2006-02-01 10:23:21 +0100 (st, 01 II 2006) $ $Author: pepca $
 * @since   0.24
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/AWTGraphics.java">AWTGraphics.java</a>
 */
public interface AWTGraphics
{
  /**
   * Repaints the given canvas from scratch.
   * @param g Graphics ready to receive painting. Its clip-region should be set
   *          to reduce painting volume.
   */
  void paint ( Graphics g );

  /**
   * Updates drawing in the given region.
   * Previous drawing in the region can be considered non-damaged.
   * @param g Graphics ready to receive painting. The clip-region should be set
   *          as narrow as possible (area which has to be updated).
   */
  void update ( Graphics g );

}
