package cz.cuni.jagrlib.iface;

/**
 * Interface for Brep-iterator objects.
 *
 * @version 0.25 $Rev: 401 $ $Date: 2007-03-11 13:15:07 +0100 (ne, 11 III 2007) $ $Author: pepca $
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/BrepIterator.java">BrepIterator.java</a>
 */
public interface BrepIterator extends Property
{
  /** Property: sort order for depth-sorting ({@code int}). */
  String SORT_ORDER   = "SortOrder";

  /** Sort order: less Z-value goes first. */
  int SORT_ASCENDING  = 0;

  /** Sort order: greater Z-value goes first. */
  int SORT_DESCENDING = 1;

  /** Property: context to be traversed - for scene sorting ({@code int}). */
  String CONTEXT      = "Context";

  /** Property: name of projected-coordinates attribute. Needs not be changed - default value is {@link Brep#COORD_PROJ}. */
  String PROJ_COORDS  = "ProjCoords";

  /** Reset the iterator. */
  void reset ();

  /**
   * Returns id of the next object.
   *
   * @return {@link Brep#NULL} if there is no next object available.
   */
  int next ();

  /**
   * Fills the provided array by all items (pre-allocated array could be {@code null}
   * or too small - in these cases new one will be created).
   * End of the data is marked using {@link Brep#NULL}.
   */
  int[] toArray ( int[] pre );

  /**
   * How many items remain in the set?
   * Non-mandatory - must return {@link Brep#NULL} if not implemented.
   */
  int left ();

}
