package cz.cuni.jagrlib.iface;

/**
 * Rendering interface for stroked circles.
 * @author  PE
 * @version 0.24 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @since   0.01
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/CircleRender.java">CircleRender.java</a>
 */
public interface CircleRender extends Render
{
  /**
   * Draws a circle with center [x,y] and radius r.
   * @param x X coordinate of circle center.
   * @param y X coordinate of circle center.
   * @param r Circle radius.
   */
  void drawCircle ( int x, int y, int r );

  /**
   * Draws a circle with center [x,y] and radius r.
   * @param x X coordinate of circle center.
   * @param y X coordinate of circle center.
   * @param r Circle radius.
   */
  void drawCircle ( double x, double y, double r );

}
