package cz.cuni.jagrlib.iface;

/**
 * Rendering interface for stroked curves.
 * @author  PE
 * @version 0.24 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @since   0.01
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/CurveRender.java">CurveRender.java</a>
 */
public interface CurveRender extends Render
{
  /**
   * Draws curve segment using the given array of control points.
   * @param cp Array of control points.
   * @param orig First array item to be used.
   * @param len Number of control points (can define curve order).
   * @param dim Number of coordinate components (2 for plane, ..).
   */
  void drawCurve ( int[] cp, int orig, int len, int dim );

  /**
   * Draws curve segment using the given array of control points.
   * @param cp Array of control points.
   * @param orig First array item to be used.
   * @param len Number of control points (can define curve order).
   * @param dim Number of coordinate components (2 for plane, ..).
   */
  void drawCurve ( double[] cp, int orig, int len, int dim );

}
