package cz.cuni.jagrlib.iface;

/**
 * Rendering interface for flood-fill algorithms.
 *
 * @version 0.25 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @since   0.01
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/FloodFillRender.java">FloodFillRender.java</a>
 */
public interface FloodFillRender extends Render
{
  /** Continuity-degree property (int: 4 or 8). */
  String CONTINUITY = "Continuity";

  /**
   * Fills the continuous 2D area defined by the starting point <tt>[ x, y ]</tt>,
   * using callback border {@link BitMask}. Usess either <em>4-continuous</em>
   * or <em>8-continuous</em> area.
   *
   * @param  x Seed's X coordinate.
   * @param  y Seed's Y coordinate.
   */
  void floodFill ( int x, int y );

}
