package cz.cuni.jagrlib.iface;

/**
 * Abstract interface represents Fresnel term for some type of materials.
 *
 * @author  Tomas Svab
 * @version 0.26 $Rev: 822 $ $Date: 2008-11-24 22:06:11 +0100 (po, 24 XI 2008) $ $Author: Tomas $
 * @since   0.26
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/Fresnel.java">Fresnel.java</a>
 */
public interface Fresnel
{
  /**
   * Evaluate given Fresnel equation.
   *
   * @param  cosI Dot product of incoming direction and normal of the surface.
   * @param  refl Pre-allocated field for reflectance (non-mandatory).
   * @return Reflectance at surface for a given direction.
   */
  double[] evaluate ( double cosI, double[] refl );
}