package cz.cuni.jagrlib.iface;

import cz.cuni.jagrlib.MicroFacet;

/**
 * Object which can be intersected by 3D rays.
 *
 * @version 0.25 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @since   0.11
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/Intersectable.java">Intersectable.java</a>
 * @see     MicroFacet
 */
public interface Intersectable extends Property
{
  /**
   * Computes the nearest intersection of the given ray with scene surface.
   *
   * @param  P0 Ray origin (<tt>double[3]</tt> or <tt>double[4]</tt>).
   * @param  P1 Direction vector of the ray (<tt>double[3]</tt> or <tt>double[4]</tt>).
   * @return The nearest intersection point or <tt>null</tt>.
   * @see    MicroFacet
   */
  MicroFacet intersection ( double[] P0, double[] P1 );

}
