package cz.cuni.jagrlib.iface;

/**
 * Rendering interface for stroked lines.
 * @author  PE
 * @version 0.24 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @since   0.01
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/LineRender.java">LineRender.java</a>
 */
public interface LineRender extends Render
{
  /**
   * Draws a line from [x1,y1] to [x2,y2].
   * @param  x1 X coordinate of the starting pixel.
   * @param  y1 Y coordinate of the starting pixel.
   * @param  x2 X coordinate of the line end.
   * @param  y2 Y coordinate of the line end.
   */
  void drawLine ( int x1, int y1, int x2, int y2 );

  /**
   * Draws a line from [x1,y1] to [x2,y2].
   * @param  x1 X coordinate of the starting pixel.
   * @param  y1 Y coordinate of the starting pixel.
   * @param  x2 X coordinate of the line end.
   * @param  y2 Y coordinate of the line end.
   */
  void drawLine ( double x1, double y1, double x2, double y2 );

}
