package cz.cuni.jagrlib.iface;

/**
 * Rendering interface for stroked lines with anti-aliasing.
 *
 * @version 0.26 $Rev: 599 $ $Date: 2007-11-06 00:01:11 +0100 (út, 06 XI 2007) $ $Author: pepca $
 * @since   0.24
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/LineRenderAnti.java">LineRenderAnti.java</a>
 */
public interface LineRenderAnti extends LineRender
{
  /**
   * Sets default line width in pixels.
   *
   * @param  wid New line width in pixels.
   * @return The old line width in pixels.
   */
  double setWidth ( double wid );

  /**
   * Draws a line from [x1,y1] to [x2,y2].
   *
   * @param  x1 X coordinate of the starting pixel.
   * @param  y1 Y coordinate of the starting pixel.
   * @param  x2 X coordinate of the line end.
   * @param  y2 Y coordinate of the line end.
   * @param  wid Line width in pixels.
   */
  void drawLine ( int x1, int y1, int x2, int y2, double wid );

  /**
   * Draws a line from [x1,y1] to [x2,y2].
   *
   * @param  x1 X coordinate of the starting pixel.
   * @param  y1 Y coordinate of the starting pixel.
   * @param  x2 X coordinate of the line end.
   * @param  y2 Y coordinate of the line end.
   * @param  wid Line width in pixels.
   */
  void drawLine ( double x1, double y1, double x2, double y2, double wid );

}
