package cz.cuni.jagrlib.iface;

/**
 * Persistent instance parameters stored in binary format.
 *
 * @version 0.25 $Rev: 245 $ $Date: 2006-05-10 05:06:56 +0200 (st, 10 V 2006) $ $Author: pepca $
 * @since   0.24
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/PersistentParamsBinary.java">PersistentParamsBinary.java</a>
 */
public interface PersistentParamsBinary
{
  /**
   * Pack instance parameters into binary format.
   *
   * @return Data array to be stored into binary stream. Can be <tt>null</tt>.
   *         The array can be shared by all method calls.
   * @see    #loadData
   */
  byte[] storeData ();

  /**
   * Loads instance parameters from (previously stored) binary data.
   *
   * @param  data Binary data to be interpreted. Can be <tt>null</tt>.
   * @return <tt>true</tt> if successful.
   * @see    #storeData
   */
  boolean loadData ( byte[] data );

}
