package cz.cuni.jagrlib.iface;

import java.awt.Point;
import java.awt.geom.Point2D;

/**
 * Rendering interface for filled 2D polygons.
 *
 * @version 0.25 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @since   0.01
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/PolygonFillRender.java">PolygonFillRender.java</a>
 */
public interface PolygonFillRender extends PolygonRender
{
  /**
   * Fills the given polygon.
   * Uses pre-defined fill style.
   *
   * @param  v Array of polygon vertices (needs not to be closed, <tt>null</tt> can interrupt the sequence).
   * @see    PolygonRender#POLY_INSIDE
   */
  void fillPolygon ( Point[] v );

  /**
   * Fills the given polygon.
   * Uses pre-defined fill style.
   *
   * @param  v Array of polygon vertices (needs not to be closed, <tt>null</tt> can interrupt the sequence).
   * @see    PolygonRender#POLY_INSIDE
   */
  void fillPolygon ( Point2D.Double[] v );

}
