package cz.cuni.jagrlib.iface;

import java.awt.Point;
import java.awt.geom.Point2D;

/**
 * Rendering interface for hashed 2D polygons.
 *
 * @version 0.25 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @since   0.01
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/PolygonHashRender.java">PolygonHashRender.java</a>
 */
public interface PolygonHashRender extends PolygonRender
{
  /**
   * Hashes the given polygon.
   * Uses pre-defined fill style.
   *
   * @param  v Array of polygon vertices (needs not to be closed, <tt>null</tt> can interrupt the sequence).
   * @param  angle Hashing angle in degrees (anti-clockwise).
   * @param  period Hashing period (1 .. solid fill).
   * @see    PolygonRender#POLY_INSIDE
   */
  void hashPolygon ( Point[] v, double angle, int period );

  /**
   * Hashes the given polygon.
   * Uses pre-defined fill style.
   *
   * @param  v Array of polygon vertices (needs not to be closed, <tt>null</tt> can interrupt the sequence).
   * @param  angle Hashing angle in degrees (anti-clockwise).
   * @param  period Hashing period (1 .. solid fill).
   * @see    PolygonRender#POLY_INSIDE
   */
  void hashPolygon ( Point2D.Double[] v, double angle, double period );

}
