package cz.cuni.jagrlib.iface;

import java.awt.Point;
import java.awt.geom.Point2D;

/**
 * Interface for clipping using polygon windows.
 *
 * @version 0.25 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @since   0.05
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/PolygonWindow.java">PolygonWindow.java</a>
 */
public interface PolygonWindow extends PolygonRender
{
  /**
   * Sets the given polygon as clipping window.
   *
   * @param  v Array of polygon vertices (needs not to be closed, <tt>null</tt> can interrupt the sequence).
   */
  void polygonWindow ( Point[] v );

  /**
   * Sets the given polygon as clipping window.
   *
   * @param  v Array of polygon vertices (needs not to be closed, <tt>null</tt> can interrupt the sequence).
   */
  void polygonWindow ( Point2D.Double[] v );

}
