package cz.cuni.jagrlib.iface;

/**
 * Interface for 2D clipping using axis-aligned rectangle.
 * @version 0.24 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @since   0.05
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/RectangleWindow.java">RectangleWindow.java</a>
 */
public interface RectangleWindow extends Property
{
  /**
   * Sets the given rectangle as clipping window.
   * @param  xMin Minimal x coordinate.
   * @param  xMax Maximal x coordinate.
   * @param  yMin Minimal y coordinate.
   * @param  yMax Maximal y coordinate.
   */
  void rectangleWindow ( int xMin, int xMax, int yMin, int yMax );

  /**
   * Sets the given rectangle as clipping window.
   * @param  xMin Minimal x coordinate.
   * @param  xMax Maximal x coordinate.
   * @param  yMin Minimal y coordinate.
   * @param  yMax Maximal y coordinate.
   */
  void rectangleWindow ( double xMin, double xMax, double yMin, double yMax );

}
