package cz.cuni.jagrlib.iface;

/**
 * Solid brush interface (filling of a 2D area).
 *
 * @version 0.25 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @since   0.03
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/SolidBrush.java">SolidBrush.java</a>
 */
public interface SolidBrush extends Brush
{
  /**
   * Sets the current fill color (for {@link RasterGraphics#MODE_GRAY} or
   * {@link RasterGraphics#MODE_COLORMAP}).
   *
   * @param  _color Current fill color.
   * @see    RasterGraphics
   */
  void setColor ( int _color );

  /**
   * Sets the current fill color (for {@link RasterGraphics#MODE_GRAY}).
   *
   * @param  _color Current fill color (<tt>0.0</tt> to <tt>1.0</tt>).
   * @see    RasterGraphics
   */
  void setColor ( double _color );

  /**
   * Sets the current fill color (for {@link RasterGraphics#MODE_RGB},
   * {@link RasterGraphics#MODE_RGBA} or {@link RasterGraphics#MODE_BAND}).
   *
   * @param  _color Current fill color.
   * @see    RasterGraphics
   */
  void setColor ( int[] _color );

  /**
   * Sets the current fill color (for {@link RasterGraphics#MODE_RGB},
   * {@link RasterGraphics#MODE_RGBA} or {@link RasterGraphics#MODE_BAND}).
   *
   * @param  _color Current fill color (channel values between <tt>0.0</tt> and <tt>1.0</tt>).
   * @see    RasterGraphics
   */
  void setColor ( double[] _color );

}
