package cz.cuni.jagrlib.iface;

/**
 * Solid pen with variable width.
 * @version 0.24 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @since   0.03
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/SolidPen.java">SolidPen.java</a>
 */
public interface SolidPen extends Pen
{
  /**
   * Sets the {@link Pen}'s width.
   *
   * @param  _width The new pen's width.
   * @return The old pen's width.
   */
  int setWidth ( int _width );

  /**
   * Sets the {@link Pen}'s width.
   *
   * @param  _width The new pen's width.
   * @return The old pen's width.
   */
  double setWidth ( double _width );

  /**
   * Sets the current drawing color (for {@link RasterGraphics#MODE_GRAY} or
   * {@link RasterGraphics#MODE_COLORMAP}).
   *
   * @param  _color Current drawing color.
   * @see    RasterGraphics
   */
  void setColor ( int _color );

  /**
   * Sets the current drawing color (for {@link RasterGraphics#MODE_GRAY}).
   *
   * @param  _color Current drawing color (<tt>0.0</tt> to <tt>1.0</tt>).
   * @see    RasterGraphics
   */
  void setColor ( double _color );

  /**
   * Sets the current drawing color (for {@link RasterGraphics#MODE_RGB},
   * {@link RasterGraphics#MODE_RGBA} or {@link RasterGraphics#MODE_BAND}).
   *
   * @param  _color Current drawing color.
   * @see    RasterGraphics
   */
  void setColor ( int[] _color );

  /**
   * Sets the current drawing color (for {@link RasterGraphics#MODE_RGB},
   * {@link RasterGraphics#MODE_RGBA} or {@link RasterGraphics#MODE_BAND}).
   *
   * @param  _color Current drawing color (channel values between <tt>0.0</tt> and <tt>1.0</tt>).
   * @see    RasterGraphics
   */
  void setColor ( double[] _color );

}
