package cz.cuni.jagrlib.iface;

import cz.cuni.jagrlib.*;

/**
 * Abstract texture interface - any mapping that modifies <tt>MicroFacet</tt> data.
 *
 * @version 0.25 $Rev: 281 $ $Date: 2006-06-01 20:55:34 +0200 (čt, 01 VI 2006) $ $Author: pepca $
 * @since   0.11
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/Texture.java">Texture.java</a>
 * @see     MicroFacet
 */
public interface Texture extends Property
{
  /** Property name: global texture frequency. */
  String FREQ  = "Frequency";

  /** Property name: frequency in the <tt>U</tt> coordinate. */
  String FU    = "Freq U";

  /** Property name: frequency in the <tt>V</tt> coordinate. */
  String FV    = "Freq V";

  /** Property name: texture color, secondary color, etc. */
  String COLOR = "Color";

  /**
   * Computes the texture value in the given point (given by a {@link MicroFacet} record).
   *
   * @param  mf <tt>MicroFacet</tt> object to modify.
   * @return Hash-value (sample signature) used for adaptive subsampling.
   */
  long compute ( MicroFacet mf );

}
