package cz.cuni.jagrlib.iface;

import cz.cuni.jagrlib.Breakable;

/**
 * Interface for runable modules.
 *
 * @author  PE, Jan Kostlivy
 * @version 0.26 $Rev: 466 $ $Date: 2007-05-26 07:12:19 +0200 (so, 26 V 2007) $ $Author: pepca $
 * @see     <a href="../../../../../cz/cuni/jagrlib/iface/Worker.java">Worker.java</a>
 */
public interface Worker extends Runnable, Property, Breakable
{
  /** Property key: number of items to draw. */
  String REPEAT = "Repeat";

  /** Property key: pseudorandom generator seed (-1 for randomize). */
  String SEED   = "Seed";

  /** Property key: auto-run denial. */
  String REJECT = "Reject";
}
