/**
 * 
 */
package cz.cuni.jagrlib.piece;

import cz.cuni.jagrlib.BinaryOperation;
import cz.cuni.jagrlib.CSGLeaf;
import cz.cuni.jagrlib.CSGNode;
import cz.cuni.jagrlib.Piece;
import cz.cuni.jagrlib.SceneNode;
import cz.cuni.jagrlib.iface.Brep;
import cz.cuni.jagrlib.iface.CSG2Brep;
import cz.cuni.jagrlib.iface.Solid;

/**
 * Implements conversion from CSG scene to boundary scene
 * @author stuchl
 *
 */
public class CSG2BrepImpl extends Piece implements CSG2Brep{

  public void processConversion(Brep brepImpl, StaticCSGScene csgScene) {
    
    StaticCSGScene normalizedCSG = normalizeCsgScene(csgScene);
    
    //zjisteni rootu, zavolani metody Brep, csgRoot
    processNode(brepImpl, normalizedCSG.root);
    
  }

  private StaticCSGScene normalizeCsgScene(StaticCSGScene csgScene) {
    // TODO Auto-generated method stub
    return null;
  }

  private void processNode(Brep brepImpl, SceneNode root) {
    
    
    if(!(root instanceof CSGNode)) return;
    
    CSGNode rootNode = (CSGNode)root;
    
    switch(rootNode.op) {
      case BinaryOperation.BIN_OP_AND: processIntersection(brepImpl, rootNode);break;
      case BinaryOperation.BIN_OP_OR: processUnification(brepImpl, rootNode);break;
    }
  }

  private void processUnification(Brep brepImpl, CSGNode rootNode) {
    int childrenCount = rootNode.children();
    
    for(int i = 0; i< childrenCount; i++) {
      addSceneNode(brepImpl, rootNode.getChild(i));
    }
    
  }

  private void addSceneNode(Brep brepImpl, SceneNode child) {
    Brep brepToAdd = null;
    if(child instanceof CSGLeaf) {
      CSGLeaf leaf = (CSGLeaf)child;
      Solid solid = leaf.solid;
      solid.createPolyhedr(brepToAdd, 0.0f);
    } else {
      processNode(brepToAdd, child);
    }
    
    unifyBreps(brepImpl, brepToAdd);
    
  }

  private void unifyBreps(Brep brepImpl, Brep brepToAdd) {
    //int context = Brep.CTX_DEFAULT;
    
  }

  private void processIntersection(Brep brepImpl, CSGNode rootNode) {
    int childrenCount = rootNode.children();
    
    for(int i = 0; i< childrenCount; i++) {
      intersectSceneNode(brepImpl, rootNode.getChild(i));
    }
  }

  private void intersectSceneNode(Brep brepImpl, SceneNode child) {
    // TODO Auto-generated method stub
    
  }
  
}
