package cz.cuni.jagrlib.reg;

import java.util.*;

/**
 * Information about channel.
 *
 * @author  Jan Kostlivy, PE
 * @version 0.25 $Rev: 381 $ $Date: 2007-01-02 15:51:44 +0100 (út, 02 I 2007) $ $Author: pepca $
 * @see     <a href="../../../../../cz/cuni/jagrlib/reg/InfoChannel.java">InfoChannel.java</a>
 */
public class InfoChannel
{
  //==========================================================================
  //  Data:

  /** Channel key (unique name). */
  public Integer key;

  /** Short interface identifier. */
  public String nameInterface;

  /** Channel owner. Composition or group of modules. */
  public InfoGroup owner;

  /** Starting plug of the channel. */
  public InfoPlug plugFrom;

  /** End plug of the channel. */
  public InfoPlug plugTo;

  /** Information about channel's GUI. */
  public InfoChannelGUI infoGUI = null;

  /** This is space for all other information. */
  public Map< String, Object > nextInfo;

  public final static String TI_CHANNEL = "Channel";

  //==========================================================================
  //  Methods:

  /**
   * Tests whether the channel in connecting the two given plugs.
   *
   * @param  _plug1 First plug.
   * @param  _plug2 Second plug.
   * @return <tt>true</tt> if the channel is connecting the two plugs.
   */
  public boolean hasPlugs ( InfoPlug _plug1, InfoPlug _plug2 )
  {
    return( plugFrom.equals( _plug1 ) && plugTo.equals( _plug2 ) ||
            plugFrom.equals( _plug2 ) && plugTo.equals( _plug1 ) );
  }

}
