package cz.cuni.jagrlib.reg;

import java.util.*;
import java.awt.*;

import cz.cuni.jagrlib.gui.*;

/**
 * Information about GUI of the plug.
 *
 * @author  Jan Kostlivy
 * @version 0.25 $Rev: 381 $ $Date: 2007-01-02 15:51:44 +0100 (út, 02 I 2007) $ $Author: pepca $
 * @see     <a href="../../../../../cz/cuni/jagrlib/reg/InfoPlugGUI.java">InfoPlugGUI.java</a>
 */
public class InfoPlugGUI
{
  //==========================================================================
  //  Data:

  /** Plug orientation. */
  public int orientation = PlugGUI.PGI_ORIENTATION_SOUTH;

  /** X-coordinate of plug on module. */
  public int x;

  /** Y-coordinate of plug on module. */
  public int y;

  /** Visibility of plug in group. */
  public boolean visible  = true;

  /** Is the plug selected? (for registry filtering) */
  public boolean selected = false;

  /** This is space for all other information. */
  public Map< String, Object > nextInfo;

  /**
   * Plug's visual representation.
   *
   * @see PlugGUIImproved
   */
  public PlugGUI gui;

  /** Color of connected plug. */
  public static Color colorConnect      = Color.black;

  /** Color of unconnected mandatory plug. */
  public static Color colorMandatory    = Color.red;

  /** Color of unconnected non-mandatory plug. */
  public static Color colorNonMandatory = Color.blue;

  /** Color of opposite plug to selected plug. */
  public static Color colorOpposite     = Color.magenta;

  /** Color of selected plug. */
  public static Color colorActive       = Color.cyan.darker();

}
