package cz.cuni.jagrlib.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import cz.cuni.jagrlib.LogFile;

/**
 * Class that cares about visual representation of Boolean parameters.
 *
 * @author  PE, Jan Kostlivy
 * @version 0.26 $Rev: 430 $ $Date: 2007-04-29 04:27:07 +0200 (ne, 29 IV 2007) $ $Author: pepca $
 * @see     <a href="../../../../../cz/cuni/jagrlib/gui/ParamBoolean.java">ParamBoolean.java</a>
 */
public class ParamBoolean extends ParamGUI
{
  private static final long serialVersionUID = 1L;

  //==========================================================================
  //  Data:

    // components
  private JCheckBox jCheckBoxBool = new JCheckBox();

  //==========================================================================
  //  Methods:

  /** Default constructor. */
  public ParamBoolean ()
  {
    try
    {
      jbInit();
    }
    catch ( Exception e )
    {
      LogFile.exception( e );
    }
  }

  /**
   * Component initialization.
   */
  private void jbInit () throws Exception
  {
    setValue( false );
    jCheckBoxBool.addActionListener( new ActionListener ()
    {
      public void actionPerformed ( ActionEvent e )
      {
        jCheckBoxBool_actionPerformed( e );
      }
    });
    getPanelValue().add( jCheckBoxBool, BorderLayout.CENTER );
  }

  //==========================================================================
  //  Methods ParamGUI:

  /**
   * Sets parameter value.
   *
   * @param  _newValue New value.
   * @return Old value.
   */
  public Object setValue ( Object _newValue )
  {
    if ( info == null )
      return null;

    Object old = info.value;
    Boolean val;
    if ( _newValue instanceof String )
      val = Boolean.valueOf( (String)_newValue );
    else
      val = (Boolean)_newValue;

    jCheckBoxBool.setSelected( val.booleanValue() );
    return old;
  }

  /**
   * Gets parameter value.
   */
  public Object getValue ()
  {
    info.value = jCheckBoxBool.isSelected();
    return info.value;
  }

  //==========================================================================
  //  Events:

  /**
   * Event for checking check box.
   */
  void jCheckBoxBool_actionPerformed ( ActionEvent e )
  {
    info.value = jCheckBoxBool.isSelected();
  }

}
