package cz.cuni.jagrlib.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import cz.cuni.jagrlib.LogFile;

/**
 * Class for visual representation of a String parameter.
 *
 * @author  PE, Jan Kostlivy
 * @version 0.26 $Rev: 430 $ $Date: 2007-04-29 04:27:07 +0200 (ne, 29 IV 2007) $ $Author: pepca $
 * @since   0.24
 * @see     <a href="../../../../../cz/cuni/jagrlib/gui/ParamString.java">ParamString.java</a>
 */
public class ParamString extends ParamGUI
{
  private static final long serialVersionUID = 1L;

  //==========================================================================
  //  Data:

  // components
  protected JTextField jTextField;

  //==========================================================================
  //  Methods:

  /** Default constructor. */
  public ParamString ()
  {
    jTextField = new JTextField();
    try
    {
      jbInit();
    }
    catch ( Exception e )
    {
      LogFile.exception( e );
    }
  }

  /**
   * Component initialization.
   */
  private void jbInit ()
  throws Exception
  {
    setValue( "" );
    jTextField.addFocusListener( new FocusAdapter ()
    {
      public void focusLost ( FocusEvent e )
      {
        tfFocusLost( e );
      }
    });
    getPanelValue().add( jTextField, BorderLayout.CENTER );
  }

  //==========================================================================
  //  Methods ParamGUI:

  /**
   * Sets parameter value.
   *
   * @param _newValue New String value.
   * @return Old value.
   */
  public Object setValue ( Object _newValue )
  {
    if ( info == null )
      return null;

    Object old = info.value;
    String val;

    val = _newValue.toString();
    jTextField.setText( val );

    return old;
  }

  /**
   * Gets parameter value.
   */
  public Object getValue ()
  {
    info.value = jTextField.getText();
    return info.value;
  }

  //==========================================================================
  //  Events:

  /**
   * Event for lost focus.
   */
  protected void tfFocusLost ( FocusEvent e )
  {
    info.value = jTextField.getText();
  }

}
